<?php 
/*
Plugin Name: Eewee Custom Admin
Plugin URI: http://www.eewee.fr/
Description: Custom admin wordpress (favicon ico/png, logo admin, user profil add facebook, twitter, google+, copyright on admin footer, dashboard, hide update message for no admin, ...).
Version: 1.0
Author: Michael DUMONTET
Author URI: http://www.eewee.fr/wordpress/
License: copyright eewee.fr
*/

/**
 * Definitions
 *
 * @since 1.0
 */
define( 'EEWEE_VERSION', '1.0' );
define( 'EEWEE_CUSTOM_ADMIN_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . dirname( plugin_basename( __FILE__ ) ) );
define( 'EEWEE_CUSTOM_ADMIN_PLUGIN_URL', WP_PLUGIN_URL . '/' . dirname( plugin_basename( __FILE__ ) ) );

/**
 * Required CSS
 *
 * @since 1.0
 */
function eewee_ajouterScriptsEeweeCustomAdmin(){
	// CSS
	//wp_enqueue_style( 'cssEeweeXxx-style', '/wp-content/.../css/style.css' );
}
add_action( 'init', 'eewee_ajouterScriptsEeweeCustomAdmin' );


/**
 * Required Files
 *
 * @since 1.0
 */
require_once( EEWEE_CUSTOM_ADMIN_PLUGIN_DIR . '/config/define.php' );
require_once( EEWEE_CUSTOM_ADMIN_PLUGIN_DIR . '/classes/EeweeToolsCustomAdmin.php' );
require_once( EEWEE_CUSTOM_ADMIN_PLUGIN_DIR . '/classes/EeweeCustomAdmin.php' );


/**
 * Instantiate Classe
 *
 * @since 1.0
 */
$eeweeCustomAdmin = new EeweeCustomAdmin();


/**
 * Wordpress Activate/Deactivate
 *
 * @uses register_activation_hook()
 * @uses register_deactivation_hook()
 *
 * @since 1.0
 */
register_activation_hook( __FILE__, array( $eeweeCustomAdmin, 'eewee_activate' ) );
register_deactivation_hook( __FILE__, array( $eeweeCustomAdmin, 'eewee_deactivate' ) );


/**
 * Required action filters
 *
 * @uses add_action()
 *
 * @since 1.0
 */
add_action( 'admin_menu', array( $eeweeCustomAdmin, 'eewee_adminMenu' ) );
?>